## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate cap

Name:           rust-cap
Version:        0.1.2
Release:        %autorelease
Summary:        Allocator that can track and limit memory usage

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/cap
Source:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
An allocator that can track and limit memory usage. This crate provides
a generic allocator that wraps another allocator, tracking memory usage
and enabling limits to be set.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE.txt
%license %{crate_instdir}/LICENSE-MIT.txt
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+stats-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+stats-devel %{_description}

This package contains library source intended for building other packages which
use the "stats" feature of the "%{crate}" crate.

%files       -n %{name}+stats-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * tests can not be run in parallel
%cargo_test -- -- --test-threads 1
%endif

%changelog
* Mon Mar 27 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.2-2
- Ensure that tests do not run in parallel

* Sun Mar 26 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.2-1
- Update to version 0.1.2; Fixes RHBZ#2181841

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Aug 16 2022 Fabio Valentini <decathorpe@gmail.com> - 0.1.1-1
- Update to version 0.1.1; Fixes RHBZ#2118278

* Thu Aug 11 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 0.1.0-1
- Initial import; Fixes: RHBZ#2105887
